<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
	<class name="com.zds.slms.domain.Stockin" table="stockin">
		<id name="id" type="java.lang.Integer">
			<column name="id" />
			<generator class="identity" />
		</id>
		<many-to-one name="merchandise" class="com.zds.slms.domain.Merchandise"
			fetch="select">
			<column name="merchandiseid" not-null="true">
				<comment>商品编号</comment>
			</column>
		</many-to-one>
		<many-to-one name="client" class="com.zds.slms.domain.Client"
			fetch="select">
			<column name="clientid" not-null="true">
				<comment>客户编号</comment>
			</column>
		</many-to-one>
		<many-to-one name="employee" class="com.zds.slms.domain.Employee"
			fetch="select">
			<column name="employeeid" not-null="true" />
		</many-to-one>
		<property name="code" type="string">
			<column name="code" length="11" not-null="true">
				<comment>进货单编号</comment>
			</column>
		</property>
		<property name="amount" type="int">
			<column name="amount" not-null="true">
				<comment>进货数量</comment>
			</column>
		</property>
		<property name="price" type="float">
			<column name="price" precision="5" scale="2" not-null="true">
				<comment>进货单价</comment>
			</column>
		</property>
		<property name="money" type="float">
			<column name="money" precision="10" scale="2" not-null="true">
				<comment>进货总额</comment>
			</column>
		</property>
		<property name="stockindate" type="string">
			<column name="stockindate" length="10" not-null="true">
				<comment>进货日期</comment>
			</column>
		</property>
	</class>
</hibernate-mapping>
